<div class="row">
  <div class="col-xs-12">
    <form (submit)="onSignup()" [formGroup]="myForm">
      <div class="row">
        <div class="row">
          <div class="col-xs-12">
            <div class="form-group">
              <label for="first_name">First Name</label>
              <input type="text" id="first_name" name="first_name" class="form-control" formControlName="first_name" required>
              <div id="firstNameError" class="alert alert-danger">First Name is required</div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-12">
            <div class="form-group">
              <label for="last_name">Last Name</label>
              <input type="text" id="last_name" name="last_name" class="form-control" formControlName="last_name" required>
              <div id="lastNameError" class="alert alert-danger">Last Name is required</div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-12">
            <div class="form-group">
              <label for="email">Email</label>
              <input type="email" id="email" name="email" class="form-control" formControlName="email" required>
              <div id="emailError" class="alert alert-danger">Email Valid is required</div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-12">
            <div class="form-group">
              <label for="password">Password</label>
              <input type="password" id="password" name="password" class="form-control" formControlName="password" required>
              <div id="passwordError" class="alert alert-danger">Password is required</div>
            </div>
          </div>
        </div>
        <div class="row">
          <div class="col-xs-12">
            <div class="form-group">
              <label for="c_password">Confirm Password</label>
              <input type="password" id="c_password" name="c_password" class="form-control" formControlName="c_password" required>
              <div id="cpasswordError" class="alert alert-danger">Confirm Password is required</div>
              <div *ngIf="!check()" class="alert alert-danger">Passwords not the same</div>
            </div>
          </div>
        </div>
        <div class="col-xs-12">
          <button type="submit" class="btn btn-primary" [disabled]="!myForm.valid || !check()">Register</button>
        </div>
      </div>
    </form>
  </div>
</div>
